For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change ONRAMP transaction status

Change the status of an Onramp transaction.

This endpoint is only for sandbox environment. The following outlines the acceptable status values that can be included within the request body: [-2, -1, 2, 3, 4, 10, 13, 14, 15] where,

-2, -1 : FAILED

2, 10: FIAT_DEPOSIT_RECEIVED

3, 13: TRADE_COMPLETED

14: ON_CHAIN_INITIATED

4, 15: ON_CHAIN_COMPLETED

Change the status of Onramp transaction

POST https://api-test.onramp.money/onramp/api/v2/whiteLabel/test/changeOnrampStatus

Request Body

Name
Type
Description

customerId*

String

Unique id received from /kyc/url

status*

String

Status to change and this must be among one of the accepted values

transactionId*

String

onramp transaction Id

{
    "status": 1,
    "code": 200,
    "data": {
        "changeStatus": true,
        "message": "Status changed to 14 i.e ON_CHAIN_INITIATED"
    }
}

{
    "status": 0,
    "code": 400,
    "error": "Missing parameter -> transactionId, status."
}

{
    "status": 0,
    "code": 400,
    "error": "Unable to change status . Please try again after some time."
}

  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • changeStatus -> status has been changed successfully.

  • message -> status change message

Last updated